using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GreenTree.Nachtragsmanagement.Data.Mapping.Deviation
{
    public class DisturbanceValueMap : EntityTypeConfiguration<Core.Domain.Deviation.DisturbanceValue>
    {
        public DisturbanceValueMap()
        {
            ToTable("DisturbanceValue");

            HasKey(f => f.Id);

            Property(f => f.Value);

            HasOptional(d => d.Disturbance)
                .WithMany()
                .HasForeignKey(d => d.DisturbanceId);
        }
    }
}
